Skip to main content
GET
/
blocks
/
{block_number_param}
/
countdown
Get countdown information for a target block number
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/blocks/{block_number_param}/countdown?apikey='
{
  "countdown_block": 22600000,
  "current_block": 22566361,
  "estimated_time_in_sec": 404868,
  "remaining_blocks": 33639
}

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Path Parameters

block_number_param
integer
required

Block number in the path

Required range: x >= 0

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

Response

Block countdown information.

Block countdown information showing estimated time until a target block is reached

countdown_block
integer
required

The target block number for the countdown

Required range: x >= 0
Example:

22600000

current_block
integer
required

The current highest block number in the blockchain

Required range: x >= 0
Example:

22566361

estimated_time_in_sec
number<float>
required

Estimated time in seconds until the target block is reached

Required range: x >= 0
Example:

404868

remaining_blocks
integer
required

Number of blocks remaining until the target block is reached

Required range: x >= 0
Example:

33639